Subject: Re: cygwin service
From: "vince" <[email-masked]>
To: "Christoffer Walther" <[email-masked]>, "Max Bowsher" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 4 Oct 2002 13:11:09 +0100

try 'cygrunsrv -I apache -p /usr/sbin/apachectl start -k' as thats what
works for me.
----- Original Message -----
From: "Christoffer Walther" <[email-masked]>
To: "Max Bowsher" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, October 04, 2002 12:58 PM
Subject: cygwin service

>
> I can see the sshd runs as 'service' even when I close the
> shell window, thats nice. I wanted to do the same with apache,
> I did: '/sbin/cygrunsrv -I apache -p /usr/sbin/apachectl -a start'
>
> However, when I do: '/bin/cygrunsrv -S apache', I get :
>
> ".. error startign service, QueryServiceStatus: win32 error 1062:
> The service has not been started".
>
> How can I correct this, or where can I find documentation on this?
>
> Christoffer
>
> Max Bowsher wrote:
> >
> > Christoffer Walther wrote:
> > > Hi and thanks for the reply. I have the same problem with
> > > sshd, 'permission denied', it would be great if I could just
> > > edit the /etc/passwd file manually and the sshd would
> > > look up the password there, can it be done this way?
> >
> > No.
> >
> > You do need to set CYGWIN=ntsec in the environment of your services. How
did
> > you set up sshd? Did you use the ssh-host-config script?
> >
> > Max.
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/